Contents | Parent Topic | Previous Topic | Next Topic
Home | Catalog

# 11.8. sdngen - SDF Tuning File Generator

## Purpose

sdngen extracts SDF template information from a FrameMaker template.

## Usage

    usage  : sdngen [-h[help]] [-o[out_ext]]
             [-l[log_ext]] [-O[out_dir]] [-p para_root]
             [-f font_root] [-t tbl_root]
             [-e existing_template] file ...
    purpose: generate an SDF template from a Frame one
    version: 2.000    (SDF 2.001)

The options are:

Option | Description
-h | display help on options
-o | output file extension
-l | log file extension
-O | output to input file's (or explicit) directory
-p | default parent for a paragraph format
-f | default parent for a font format
-t | default parent for a table format
-e | existing template file

## Description

The -h option provides help. If it is specified without a parameter, a brief description of each option is displayed. To display the attributes for an option, specify the option letter as a parameter.

By default, generated output goes to standard output. To direct output to a file per input file, use the -o option to specify an extension for output files. If the -o option is specified without a parameter, an extension of out is assumed.

Likewise, error messages go to standard error by default. Use the -l option to create a log file per input file. If the -l option is specified without a parameter, an extension of log is assumed.

By default, generated output and log files are created in the current directory. Use the -O option to specify an explicit output directory. If the -O option is specified without a parameter, the input file's directory is used.

The -p option can be used to specify the root paragraph format from which others are derived. The default paragraph root is Body.

The -f option can be used to specify the root font (i.e. phrase) format from which others are derived. The default font root is Emphasis.

The -t option can be used to specify the root table format from which others are derived. The default table root is Format A.

As formats often appear in families (e.g. Heading1, Heading2, etc.), sdngen will use the (alphabetically) previous format as the parent if it makes a better parent (i.e. there are less differences) than the default one.

If a template already exists, it can be specified using the -e option. In this case, sdngen will get as much information as it can from that file including:

- the root format for each type
- the order of formats within a type
- the parent for each format.

Within each type, formats which are unknown in the existing template are output after those that are known.

## Examples

To generate an SDF tuning file file:

         sdngen -osdn mytemplate.mif

This will create a template file called `mytemplate.sdn`.